Sign inGet started

Team Management

GET
/workspaces/{workspaceId}/teams
Retrieve a list of teams within the workspace, showcasing their members count and other details.
Queryparameters
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sortBy
string
Sort by field specified
Possible values: name
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.workspaceId
string
verplicht
results.name
string
verplicht
results.description
string
verplicht
results.visibility
string
verplicht
results.accessibility
string
results.activeMemberCount
integer
verplicht
results.pendingMemberCount
integer
verplicht
results.featuredMembers
array of object
verplicht
Onderliggende attributen tonen
results.featuredMembers.id
string
verplicht
results.featuredMembers.type
string
verplicht
results.hideFromViews
boolean
verplicht
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}
Retrieve information about a specific team within the workspace, including its name, and other details.
Antwoord-payload
id
string
verplicht
workspaceId
string
verplicht
name
string
verplicht
description
string
verplicht
visibility
string
verplicht
accessibility
string
activeMemberCount
integer
verplicht
pendingMemberCount
integer
verplicht
featuredMembers
array of object
verplicht
Onderliggende attributen tonen
featuredMembers.id
string
verplicht
featuredMembers.type
string
verplicht
hideFromViews
boolean
verplicht
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams
Create a new team within the workspace, defining its name, and other relevant attributes.
Verzoek-payload
name
string
verplicht
description
string
hideFromViews
boolean
members
array of object
Onderliggende parameters tonen
members.id
string
verplicht
members.type
string
verplicht
Antwoord-payload
id
string
verplicht
workspaceId
string
verplicht
name
string
verplicht
description
string
verplicht
visibility
string
verplicht
accessibility
string
activeMemberCount
integer
verplicht
pendingMemberCount
integer
verplicht
featuredMembers
array of object
verplicht
Onderliggende attributen tonen
featuredMembers.id
string
verplicht
featuredMembers.type
string
verplicht
hideFromViews
boolean
verplicht
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/teams/{teamId}
Modify the details of a specific team within the workspace, such as its name, or other attributes.
Verzoek-payload
name
string
description
string
hideFromViews
boolean
Antwoord-payload
id
string
verplicht
workspaceId
string
verplicht
name
string
verplicht
description
string
verplicht
visibility
string
verplicht
accessibility
string
activeMemberCount
integer
verplicht
pendingMemberCount
integer
verplicht
featuredMembers
array of object
verplicht
Onderliggende attributen tonen
featuredMembers.id
string
verplicht
featuredMembers.type
string
verplicht
hideFromViews
boolean
verplicht
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}
Remove a specific team from the workspace, permanently deleting its profile and associated data.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members
Retrieve a list of members within the team, showcasing their names and other details.
Antwoord-payload
results
array of object
verplicht
Onderliggende attributen tonen
results.id
string
verplicht
results.teamId
string
verplicht
results.type
string
verplicht
results.status
string
verplicht
results.createdAt
string
verplicht
results.updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams/{teamId}/members
Add a new member to the team.
Verzoek-payload
id
string
verplicht
type
string
verplicht
Possible values: user
Antwoord-payload
id
string
verplicht
teamId
string
verplicht
type
string
verplicht
status
string
verplicht
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Retrieve information about a specific member within the team, including their name and other details.
Antwoord-payload
id
string
verplicht
teamId
string
verplicht
type
string
verplicht
status
string
verplicht
createdAt
string
verplicht
updatedAt
string
verplicht
Codevoorbeeld
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Remove a specific member from the team.
Codevoorbeeld
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'